<template>
  <v-container fluid>
    <v-row>
      <v-col cols="12"><h1>Сообщения</h1></v-col>
      <v-col
        cols="12"
        v-for="message in messages"
        :key="`message-item-${message.id}`"
      >
        <v-avatar v-if="message.user">
          <img :src="message.user.avatar" />
        </v-avatar>
        <v-avatar v-else>
          <img :src="message.cv.avatar" />
        </v-avatar>
        {{ message.message }}
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import { Cv } from "../../models/cv";
import { Message } from "../../models/message";

@Component
export default class VacancyList extends Vue {
  messages: Array<Message> = [];

  async mounted() {
    this.messages = await Message.getList();
  }
}
</script>
